<?php
$res = array();
//$con = new PDO("mysql:dbname=bombocado; charset=utf8", 'root', '123');
$ret = $con->prepare("SHOW TABLES");
$ret->execute();
$mensagem = $ret->errorInfo();
if ($ret->rowCount() > 0) {
    $res["tabelas"] = array();
    while ($row = $ret->fetch(PDO::FETCH_COLUMN)) {
        array_push($res["tabelas"], $row);
    }
    
    foreach ($res["tabelas"] as $nome) {
        $ret2 = $con->prepare("SHOW FULL COLUMNS FROM $nome");
        $ret2->execute();
        $mensagem = $ret2->errorInfo();
        if ($ret2->rowCount() > 0) {
            $res["$nome"] = array();
            while ($row = $ret2->fetch(PDO::FETCH_ASSOC)) {
                array_push($res["$nome"], $row);
            }
            $fp = fopen($nome . ".json", "w");
            fwrite($fp, json_encode($res["$nome"]));
            fclose($fp);
        }
    }
    $res["sucesso"] = 1;
} else {
    $res["sucesso"] = 0;
    $res["mensagem"] = $mensagem[2];
    $con = null;
}
echo json_encode($res);
?>
